package sikd.sikd5.sikd5bean.ws.transaksi;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author : agus
 * @tanggal : Jul 31, 2019
 */
@XmlRootElement
@XmlType(name = "dthpotonganWS", propOrder = {
    "nomorsp2d",
    "nomorspm",
    "kodeakunpotongan",
    "namaakunpotongan",
    "kodejenispotongan",
    "namajenispotongan",
    "kodebiling",
    "ntpn",
    "nilaipotongan",
    "keteranganpotongan"
})

public class Dthpotongan_WS implements Serializable{

    private String nomorsp2d;
    private String nomorspm;
    private String kodeakunpotongan;
    private String namaakunpotongan;
    private String kodejenispotongan;
    private String namajenispotongan;
    private String kodebiling;
    private String ntpn;
    private Double nilaipotongan;
    private String keteranganpotongan;

    public Dthpotongan_WS() {
    }

    public Dthpotongan_WS(String nomorsp2d, String nomorspm, String kodeakunpotongan, String namaakunpotongan, String kodejenispotongan, String namajenispotongan, String kodebiling, String ntpn, Double nilaipotongan, String keteranganpotongan) {
        this.nomorsp2d = nomorsp2d;
        this.nomorspm = nomorspm;
        this.kodeakunpotongan = kodeakunpotongan;
        this.namaakunpotongan = namaakunpotongan;
        this.kodejenispotongan = kodejenispotongan;
        this.namajenispotongan = namajenispotongan;
        this.kodebiling = kodebiling;
        this.ntpn = ntpn;
        this.nilaipotongan = nilaipotongan;
        this.keteranganpotongan = keteranganpotongan;
    }

    public String getKeteranganpotongan() {
        return keteranganpotongan;
    }

    public void setKeteranganpotongan(String keteranganpotongan) {
        this.keteranganpotongan = keteranganpotongan;
    }

    public String getNomorsp2d() {
        return nomorsp2d;
    }

    public void setNomorsp2d(String nomorsp2d) {
        this.nomorsp2d = nomorsp2d;
    }

    public String getNomorspm() {
        return nomorspm;
    }

    public void setNomorspm(String nomorspm) {
        this.nomorspm = nomorspm;
    }

    public String getKodeakunpotongan() {
        return kodeakunpotongan;
    }

    public void setKodeakunpotongan(String kodeakunpotongan) {
        this.kodeakunpotongan = kodeakunpotongan;
    }

    public String getNamaakunpotongan() {
        return namaakunpotongan;
    }

    public void setNamaakunpotongan(String namaakunpotongan) {
        this.namaakunpotongan = namaakunpotongan;
    }

    public String getKodejenispotongan() {
        return kodejenispotongan;
    }

    public void setKodejenispotongan(String kodejenispotongan) {
        this.kodejenispotongan = kodejenispotongan;
    }

    public String getNamajenispotongan() {
        return namajenispotongan;
    }

    public void setNamajenispotongan(String namajenispotongan) {
        this.namajenispotongan = namajenispotongan;
    }

    public String getKodebiling() {
        return kodebiling;
    }

    public void setKodebiling(String kodebiling) {
        this.kodebiling = kodebiling;
    }

    public String getNtpn() {
        return ntpn;
    }

    public void setNtpn(String ntpn) {
        this.ntpn = ntpn;
    }

    public Double getNilaipotongan() {
        return nilaipotongan;
    }

    public void setNilaipotongan(Double nilaipotongan) {
        this.nilaipotongan = nilaipotongan;
    }

}
